Bug 887051

Summary: Libreoffice (4.0.0.0
Product: [Fedora] Fedora Reporter: John Rosich <jrosich>
Component: libreofficeAssignee: Caolan McNamara <caolanm>
Status: CLOSED INSUFFICIENT_DATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: caolanm, dtardon, erack, ltinkl, mstahl, sbergman
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Other   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-02-01 07:27:02 EST Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description John Rosich 2012-12-13 18:35:38 EST
Description of problem:Latest version of libreoffice (4.0.0XXX) doesn't start.



How reproducible:
always on several machines

Steps to Reproduce:
1.select libreoffice from start menu or command line
2.program fails to start.
3.
  
Actual results:
Program fails to start (see error message below)


Expected results:
Spreadsheet, word processing program etc should open

Additional info:
The 'splash' screen is displayed but the program refuses to start. We get the following message when we try to start the program from a command line:


The application cannot be started.
The component manager is not available.
("file:///usr/lib64/libreoffice/ure/lib/bootstrap.uno.so: cannot get factory of demanded implementation: ")
terminate called after throwing an instance of 
'com::sun::star::uno::DeploymentException'


All machines are running the latest, fully updated rawhide.

Any work-arounds?

TIA

John
Comment 1 David Tardon 2012-12-20 04:42:48 EST
It runs just fine here. What packages do you have installed? (Run

rpm -qa libreoffice-*

to get the list.) Does it help if you move ~/.config/libreoffice away?